/*
Пример использования
Ресурс позволяет:
1. Создавать зону
2. Изменять зону
3. Добавлять новые узлы в зону
4. Удалять узлы из зоны
5. Удалять зону
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_cb_zone" "zone" {
  #наименование зоны
  #обязательный параметр
  #тип - строка
  #используется при создании и обновлении
  name = "test"

  #описание зоны
  #опциональный параметр
  #тип - строка
  #используется при создании и обновлении
  #description = "desc"

  #прикрепленные узлы
  #опциональный параметр
  #тип - массив целых чисел
  #используется при создании и обновлении
  #node_ids = [1,2,3]

  #автостарт ноды
  #опциональный параметр
  #тип - булев
  #по умолчанию - false
  #используется при создании и обновлении
  #auto_start = false
}

output "test" {
  value = decort_cb_zone.zone
}



